| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Contents | Index

Graphics.Rendering.OpenGL.GL.Polygons

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.5 (Polygons) of the OpenGL 2.1 specs.
Documentation
polygonSmooth :: StateVar Capability
cullFace :: StateVar (Maybe Face)
class PolygonStipple s where

Methods

withNewPolygonStipple :: (Ptr GLubyte -> IO ()) -> IO s
withPolygonStipple :: s -> (Ptr GLubyte -> IO a) -> IO a
newPolygonStipple :: [GLubyte] -> IO s
getPolygonStippleComponents :: s -> IO [GLubyte]

Instances

PolygonStipple GLpolygonstipple |

data GLpolygonstipple

Instances

Eq GLpolygonstipple |
Ord GLpolygonstipple |
Show GLpolygonstipple |
PolygonStipple GLpolygonstipple |

polygonStipple :: PolygonStipple s => StateVar (Maybe s)
data PolygonMode

Constructors

Point |
Line |
Fill |

Instances

Eq PolygonMode |
Ord PolygonMode |
Show PolygonMode |

polygonMode :: StateVar (PolygonMode, PolygonMode)
polygonOffset :: StateVar (GLfloat, GLfloat)
polygonOffsetPoint :: StateVar Capability
polygonOffsetLine :: StateVar Capability
polygonOffsetFill :: StateVar Capability
Produced by Haddock version 2.7.2